#ifdef SYSTEMC
/*
 * $Id: Morpheo_signal_handler.cpp 110 2009-02-19 16:31:47Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "TopLevel/include/Morpheo.h"

namespace morpheo {

#undef  FUNCTION
#define FUNCTION "signal_handler"
  void signal_handler (int value)
  {
    sc_stop();

    switch (value)
      {
      case SIGALRM :
        {
          throw ERRORMORPHEO(FUNCTION,_("Signal Alarm : can have a combinatory loop.\n"));
          break;
        }
      default :
        {
          throw ERRORMORPHEO(FUNCTION,_("Unknow signal.\n"));
          break;
        }
      }
  };

}; // end namespace morpheo
#endif
